> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Taxes And Fee

> Create a new Taxes And Fee

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { taxesAndFees } from '@drivly/commerce'

  const sdk = new SDK(...)

  const taxesAndFees = await sdk.taxesAndFees.create(data: taxesAndFees): Promise<taxesAndFees>
  ```
</Accordion>


## OpenAPI

````yaml post /taxesAndFees
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /taxesAndFees:
    post:
      tags:
        - taxesAndFees
      summary: Create a new Taxes And Fee
      description: Create a new Taxes And Fee
      parameters:
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/taxesAndFeesRequest'
      responses:
        '200':
          $ref: '#/components/responses/taxesAndFeesUpsertConfirmationResponse'
      security:
        - apiKeyAuth: []
components:
  requestBodies:
    taxesAndFeesRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/taxesAndFees'
  responses:
    taxesAndFeesUpsertConfirmationResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/taxesAndFeesUpsertConfirmation'
  schemas:
    taxesAndFees:
      additionalProperties: false
      title: TaxesAndFee
      type: object
      properties:
        salesPrice:
          type: string
          nullable: true
        totalTaxesAndFees:
          type: string
          nullable: true
        CombinedSalesTax:
          type: string
          nullable: true
        shippingCost:
          type: string
          nullable: true
        stateSalesTax:
          type: string
          nullable: true
        gasGuzzlerTax:
          type: string
          nullable: true
        titleFee:
          type: string
          nullable: true
        registrationFee:
          type: string
          nullable: true
        dmvFee:
          type: string
          nullable: true
        dmvFees:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: DmvFee
                type: object
                properties:
                  fee:
                    type: string
                    nullable: true
                  estimate:
                    type: string
                    nullable: true
                  actual:
                    type: string
                    nullable: true
                  taxesAndFees:
                    items:
                      type: number
                    type: array
                    nullable: true
                  tenant:
                    type: number
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        docFee:
          type: string
          nullable: true
        combinedFees:
          type: string
          nullable: true
        deals:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: Deal
                type: object
                properties:
                  customer:
                    type: number
                    nullable: true
                  vehicle:
                    type: number
                    nullable: true
                  dealId:
                    type: string
                    nullable: true
                  customerRelationship:
                    type: string
                    nullable: true
                  coCustomer:
                    type: number
                    nullable: true
                  companyConsumerCustomer:
                    type: number
                    nullable: true
                  lienHolder:
                    items:
                      type: number
                    type: array
                    nullable: true
                  dealer:
                    type: number
                    nullable: true
                  facilitator:
                    items:
                      type: number
                    type: array
                    nullable: true
                  type:
                    items:
                      enum:
                        - Wholesale Dropship
                        - Wholesale
                        - Concierge Search
                        - Consignment
                        - Instant Cash Offer
                        - Concierge Buy
                        - Private Party
                      type: string
                    type: array
                    nullable: true
                  salesPrice:
                    type: string
                    nullable: true
                  margin:
                    type: string
                    nullable: true
                  downPayment:
                    type: string
                    nullable: true
                  financedAmount:
                    type: string
                    nullable: true
                  taxesAndFees:
                    type: number
                    nullable: true
                  dependencies:
                    items:
                      type: number
                    type: array
                    nullable: true
                  unsignedDocuments:
                    type: string
                    nullable: true
                  signedDocuments:
                    type: string
                    nullable: true
                  deliveryAddress:
                    items:
                      type: number
                    type: array
                    nullable: true
                  paymentLink:
                    type: string
                    nullable: true
                  getTradeOffer:
                    type: string
                    nullable: true
                  notarizePowerOfAttorney:
                    type: string
                    nullable: true
                  serviceQuotes:
                    items:
                      type: number
                    type: array
                    nullable: true
                  tenant:
                    type: number
                    nullable: true
                  trades:
                    items:
                      type: number
                    type: array
                    nullable: true
                  creditApplications:
                    items:
                      type: number
                    type: array
                    nullable: true
                  latestError:
                    type: string
                    nullable: true
                  vscProvider:
                    type: number
                    nullable: true
                  vsc:
                    type: string
                    nullable: true
                  gapProvider:
                    type: number
                    nullable: true
                  gap:
                    type: string
                    nullable: true
                  status:
                    type: string
                    nullable: true
                  transportServiceOrders:
                    items:
                      type: number
                    type: array
                    nullable: true
                  mileage:
                    type: number
                    nullable: true
                  createdBy:
                    type: number
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  development:
                    type: boolean
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        tenant:
          oneOf:
            - type: number
              nullable: true
            - additionalProperties: false
              title: Tenant
              type: object
              properties:
                name:
                  type: string
                  nullable: true
                customer:
                  items:
                    type: number
                  type: array
                  nullable: true
                defaultDealer:
                  items:
                    type: number
                  type: array
                  nullable: true
                defaultFacilitator:
                  type: number
                  nullable: true
                email:
                  type: string
                  nullable: true
                apiKey:
                  type: string
                  nullable: true
                environment:
                  type: string
                  nullable: true
                creditApplicationLabel:
                  type: string
                  nullable: true
                deals:
                  items:
                    type: number
                  type: array
                  nullable: true
                locations:
                  items:
                    type: number
                  type: array
                  nullable: true
                insuranceQuotes:
                  items:
                    type: number
                  type: array
                  nullable: true
                serviceQuotes:
                  items:
                    type: number
                  type: array
                  nullable: true
                serviceOrders:
                  type: string
                  nullable: true
                insurancePolicies:
                  items:
                    type: number
                  type: array
                  nullable: true
                addresses:
                  items:
                    type: number
                  type: array
                  nullable: true
                listings:
                  items:
                    type: number
                  type: array
                  nullable: true
                vehicles:
                  items:
                    type: number
                  type: array
                  nullable: true
                webhooks:
                  items:
                    type: number
                  type: array
                  nullable: true
                taxesAndFees:
                  items:
                    type: number
                  type: array
                  nullable: true
                dmvFees:
                  items:
                    type: number
                  type: array
                  nullable: true
                transportServiceOrders:
                  items:
                    type: number
                  type: array
                  nullable: true
                updatedAt:
                  type: string
                createdAt:
                  type: string
              required:
                - id
                - updatedAt
                - createdAt
        createdBy:
          type: number
        updatedAt:
          type: string
        createdAt:
          type: string
      required:
        - id
        - updatedAt
        - createdAt
    taxesAndFeesUpsertConfirmation:
      type: object
      title: Taxes And Fee upsert confirmation
      properties:
        doc:
          additionalProperties: false
          title: TaxesAndFee
          type: object
          properties:
            salesPrice:
              type: string
              nullable: true
            totalTaxesAndFees:
              type: string
              nullable: true
            CombinedSalesTax:
              type: string
              nullable: true
            shippingCost:
              type: string
              nullable: true
            stateSalesTax:
              type: string
              nullable: true
            gasGuzzlerTax:
              type: string
              nullable: true
            titleFee:
              type: string
              nullable: true
            registrationFee:
              type: string
              nullable: true
            dmvFee:
              type: string
              nullable: true
            dmvFees:
              items:
                type: number
              type: array
              nullable: true
            docFee:
              type: string
              nullable: true
            combinedFees:
              type: string
              nullable: true
            deals:
              items:
                type: number
              type: array
              nullable: true
            tenant:
              type: number
              nullable: true
            createdBy:
              type: number
              nullable: true
            updatedAt:
              type: string
            createdAt:
              type: string
          required:
            - id
            - updatedAt
            - createdAt
        message:
          type: string
      required:
        - doc
        - message
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````